1. Data Factory
  2. Resolve Order Update
POST
/data_factory/resolveOrderUpdate
curl --request POST \
     --url https://sandbox.masonhub.co/dragonfly-cosmetics-demo/api/v1/data_factory/resolveOrderUpdate \
     --header 'Authorization: Bearer <token>' \
     --header 'Content-Type: application/json' \
     --data '{
  "order_update_request_id": "<string>",
  "resolution": "<string>"
}'

Force resolution of pending order update requests for testing asynchronous update workflows.

DataFactory is only available in the sandbox environment.

​
Request Body

order_update_request_id
required
string

UUID of the order update request to resolve.

resolution
required
string

Resolution status. Options: success or failure.

curl -X POST "https://app.masonhub.co/{account}/api/v1/data_factory/resolveOrderUpdate" \
  -H "Authorization: Bearer your_jwt_token" \
  -H "Content-Type: application/json" \
  -d '[{"order_update_request_id": "0b744e29-b668-4486-85dd-82528b5da0dd", "resolution": "success"}]'
{
  "success": true,
  "data": [{"order_update_request_id": "0b744e29-b668-4486-85dd-82528b5da0dd", "resolution": "success"}]
}

​
Resolution Values

  • success: Update applied successfully - triggers success callback
  • failure: Update failed - triggers failure callback with error message

​
Use Cases

Test order update workflows and orderUpdateResolution callback handling.